function FuncLoadProfilePlotting(VehicleLoadXaxis,TotalPower,FileName)
%% plots the total power demand of the fleet (this is optional here, the demand of the fleet or each vehcile can be plotted from the file)
figure ()
Pt1=plot(VehicleLoadXaxis, TotalPower,'blue','linewidth',2.5);
xlabel('Time (hr)')
ylabel('Demand (kW)')
legend('Power demand','Location','northwest')
%%*********Call average demand calculating fucntion ********************
% the following fucntion calculates the average demand of the fleet based
% on the chosen time window (15 min, 60 min or 60 min); uncomment the desired averaging function for use. 
% % AveragingWindow= 'Quarterly'; % 15_min
% % AveragingWindow= 'Half_Hourly'; % 30 min
% % AveragingWindow= 'Hourly';    % 60 min
% FuncAveragingDemand(FileName,AveragingWindow) % calling averaging function
end

